- libbson 1.13.1 »
- API Reference »
- bson_json_reader_t

# bson_json_reader_read()

## Synopsis

    int
    bson_json_reader_read (bson_json_reader_t *reader,
                           bson_t *bson,
                           bson_error_t *error);

## Parameters

- `reader`: A bson_json_reader_t.
- `bson`: A bson_t.
- `error`: A bson_error_t.

## Description

Reads the next BSON document from the underlying JSON source.

## Errors

Errors are propagated via the `error` parameter.

## Returns

1 if successful and data was read. 0 if successful and no data was read. -1 if there was an error.

### See Also:

bson_init_from_json

bson_new_from_json

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.